using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Microsoft.AspNetCore.Authorization;

using System.Web;
using MySystem.MainModels;
using LitJson;
using Library;

namespace MySystem.Areas.Api.Controllers.v1
{
    [Area("Api")]
    [Route("Api/[controller]/[action]")]
    public class JkController : BaseController
    {
        public JkController(IHttpContextAccessor accessor, ILogger<BaseController> logger, IOptions<Setting> setting) : base(accessor, logger, setting)
        {
        }



        #region 设置押金
        public string SetDeposit(string value)
        {
            string content = "";
            try
            {
                JsonData data = JsonMapper.ToObject(value);
                string sn = data["sn"].ToString();
                decimal serviceFee = decimal.Parse(data["serviceFee"].ToString());
                content = PublicImportDataService.Instance.SetDeposit(sn, serviceFee);
            }
            catch(Exception ex)
            {
                function.WriteLog(DateTime.Now.ToString() + "\n" + ex.ToString(), "设置金控押金异常");
            }
            return content;
        }
        #endregion


        #region 设置费率
        public string SetFee(string value)
        {
            string content = "";
            try
            {
                JsonData data = JsonMapper.ToObject(value);
                string merNo = data["merNo"].ToString();
                string sn = data["sn"].ToString();
                decimal fee = decimal.Parse(data["fee"].ToString());
                int addRate = 0;
                if(fee == 0.63M) 
                {
                    addRate = 300;
                }
                else if(fee == 0.6M)
                {
                    fee = 0.63M;
                }
                content = PublicImportDataService.Instance.SetFee(merNo, sn, fee, addRate);
            }
            catch(Exception ex)
            {
                function.WriteLog(DateTime.Now.ToString() + "\n" + ex.ToString(), "设置金控费率异常");
            }
            return content;
        }
        #endregion

    }
}

